echo off
cd %VAR%
cls
..\..\..\util\setconsole.exe /reset
echo.
echo Press 1 to play The 7th Guest using DOSBox
echo Press 2 to play The 7th Guest using ScummVM
echo.
..\..\..\util\choice /C:12 /N Please Choose:

if errorlevel = 2 goto scummvm
if errorlevel = 1 goto dosbox

:dosbox
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\dosbox.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end

:scummvm
cd ..
cd ..
cd ..
cls
echo.
echo Press 1 to play using Sound Blaster for music
echo Press 2 to play using MT32 for music
echo Press 3 to play using SoundCanvas for music
echo Press 4 to play using James Woodcock's Enhanced Soundtrack
echo.
.\util\choice /C:1234 /N Please Choose:

if errorlevel = 4 goto svmjw
if errorlevel = 3 goto svmsc55
if errorlevel = 2 goto svmmt32
if errorlevel = 1 goto svmsb

:svmjw
.\util\setconsole.exe /minimize
del .\eXoDOS\7thguest\*.flac
copy .\eXoDOS\7thguest\EnhancedMid\*.* .\eXoDOS\7thguest\
".\emulators\scummvm\scummvm.exe" --no-console -F -g3x --aspect-ratio -p.\eXoDOS\7thguest\ t7g
goto end

:svmsb
.\util\setconsole.exe /minimize
del .\eXoDOS\7thguest\*.ogg
del .\eXoDOS\7thguest\intro.flac
copy .\eXoDOS\7thguest\OrigCD\*.* .\eXoDOS\7thguest\
".\emulators\scummvm\scummvm.exe" --no-console -F -g3x --aspect-ratio -p.\eXoDOS\7thguest\ t7g
goto end

:svmmt32
.\util\setconsole.exe /minimize
del .\eXoDOS\7thguest\*.ogg
del .\eXoDOS\7thguest\intro.flac
copy .\eXoDOS\7thguest\OrigCD\*.* .\eXoDOS\7thguest\
".\emulators\scummvm\scummvm.exe" --no-console -F -g3x -emt32 --extrapath=.\mt32\ --aspect-ratio -p.\eXoDOS\7thguest\ t7g
goto end

:svmsc55
.\util\setconsole.exe /minimize
del .\eXoDOS\7thguest\*.ogg
del .\eXoDOS\7thguest\intro.flac
copy .\eXoDOS\7thguest\OrigCD\*.* .\eXoDOS\7thguest\
".\emulators\scummvm\scummvm.exe" --no-console -F -g3x -efluidsynth --soundfont=.\mt32\soundcanvas.sf2 --aspect-ratio -p.\eXoDOS\7thguest\ t7g
goto end

:end